// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: keyboard.js,v 1.15 2017-02-16 09:25:08 ngantier Exp $

require(["dojo/on", "dojo/topic", "dojo/_base/lang", "dojo/domReady!"], function(on, topic, lang) { 
	cb:"", 
	timer = null;
	on(document, "keypress", function(event) {
       
        switch(event.key) {
        case "Enter":
            var cb = new Array();
            keyboard_cb_enter = this.cb;
            cb[0] = this.cb;
            if (this.cb) {
                topic.publish('keyboard', "cbReady", {
                    'cb' : cb
                });
                dojoConfig.bibloto.appParams.rfid_lastVal = this.cb;
                dojoConfig.bibloto.buffer.addElt(cb);
            }
            this.cb = "";
            document.getElementById('keyboard').value = '';
        	if(this.timer){
        		clearTimeout(this.timer);
                this.timer = null;
        	}
            break;
        case "Tab":
        case "ArrowUp":
        case "ArrowUpArrowDown":
        case "ArrowLeft":
        case "ArrowRight":
        case "Enter":
        case "Escape":
        	this.cb = "";  
            document.getElementById('keyboard').value = '';
            break;
        default:
        	if(this.timer){
        		clearTimeout(this.timer);
                this.timer = null;
        	}
            this.timer = setTimeout(lang.hitch(this, function() {
                this.cb = "";  
                document.getElementById('keyboard').value = '';
            }), 3000);
        
            if (!this.cb)
                this.cb = "";
            
            this.cb += event.key;
        }
    });
});
